Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.annotations
Class AnnotationReflectionConverter

    java.lang.Object
      com.thoughtworks.xstream.converters.reflection.AbstractReflectionConverter
          com.thoughtworks.xstream.converters.reflection.ReflectionConverter
              com.thoughtworks.xstream.annotations.AnnotationReflectionConverter

All Implemented Interfaces:
  Converter, ConverterMatcher

Deprecated. since 1.3, build into `ReflectionConverter`

    @Deprecated
    public class AnnotationReflectionConverter

extends ReflectionConverter

ReflectionConverter which uses an AnnotationProvider to marshall and unmarshall fields based on the annotated converters.

Author:
  Guilherme Silveira, Mauro Talevi

Nested Class Summary

Nested classes/interfaces inherited from class com.thoughtworks.xstream.converters.reflection.AbstractReflectionConverter
`AbstractReflectionConverter.DuplicateFieldException`

Field Summary

Fields inherited from class com.thoughtworks.xstream.converters.reflection.AbstractReflectionConverter
`mapper, reflectionProvider, serializationMethodInvoker`

Constructor Summary
`AnnotationReflectionConverter(Mapper mapper, ReflectionProvider reflectionProvider, AnnotationProvider annotationProvider)` Deprecated.

Method Summary
`protected void` | `marshallField(MarshallingContext context, Object newObj, Field field)` Deprecated.
`protected Object` | `unmarshallField(UnmarshallingContext context, Object result, Class type, Field field)` Deprecated.

Methods inherited from class com.thoughtworks.xstream.converters.reflection.ReflectionConverter
`canConvert`

Methods inherited from class com.thoughtworks.xstream.converters.reflection.AbstractReflectionConverter
`doMarshal, doUnmarshal, instantiateNewInstance, marshal, shouldUnmarshalTransientFields, unmarshal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationReflectionConverter

    @Deprecated
    public AnnotationReflectionConverter(Mapper mapper,
                                                    ReflectionProvider reflectionProvider,
                                                    AnnotationProvider annotationProvider)

  Deprecated.

Method Detail

### marshallField

    protected void marshallField(MarshallingContext context,
                                 Object newObj,
                                 Field field)

  Deprecated.
  Overrides:
    `marshallField` in class `AbstractReflectionConverter`

### unmarshallField

    protected Object unmarshallField(UnmarshallingContext context,
                                     Object result,
                                     Class type,
                                     Field field)

  Deprecated.
  Overrides:
    `unmarshallField` in class `AbstractReflectionConverter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.